﻿namespace CoreLibrary.Events
{
    /// <summary>
    /// Classe contenant les arguments passées en paramètre lors de l'événement ConstruireJoueurEventArgs.
    /// </summary>
    public class ConstruireJoueurEventArgs : EventArgs
    {
        /// <summary>
        /// Le nom du joueur à ajouter.
        /// </summary>
        public string? Nom { get; private set; }

        /// <summary>
        /// Initialise une nouvelle instance de la classe <see cref="ConstruireJoueurEventArgs"/> avec les informations spécifiées.
        /// </summary>
        /// <param name="code">Le nom du joueur à ajouter.</param>
        public ConstruireJoueurEventArgs(string? nom)
        {
            Nom = nom;
        }
    }
}
